diff --git a/lang/cat.l b/lang/cat.l
index 6bf00a942..c302cc274 100644
--- a/lang/cat.l
+++ b/lang/cat.l
@@ -5171,8 +5171,8 @@ CHAN_SERVADMIN_HELP_SET_NOEXPIRE
 
 CHAN_SERVADMIN_HELP_INFO
 	
-	Administradors de serveis poden utilitzar el paràmetre
-	ALL amb qualsevol canal
+	Services Operators with the chanserv/auspex permission can
+	use the ALL parameter with any channel.
 
 CHAN_SERVADMIN_HELP_LIST
 	Sintàxi: LIST patró [FORBIDDEN] [NOEXPIRE]
diff --git a/lang/de.l b/lang/de.l
index 96e1e7137..1ee45447d 100644
--- a/lang/de.l
+++ b/lang/de.l
@@ -5206,8 +5206,8 @@ CHAN_SERVADMIN_HELP_SET_NOEXPIRE
 
 CHAN_SERVADMIN_HELP_INFO
 	
-	Services Administratoren können den ALL Parameter bei jedem
-	Channel benutzen.
+	Services Operators with the chanserv/auspex permission can
+	use the ALL parameter with any channel.
 
 CHAN_SERVADMIN_HELP_LIST
 	Syntax: LIST Muster [FORBIDDEN] [NOEXPIRE]
diff --git a/lang/en_us.l b/lang/en_us.l
index caed91e66..e3b3cca88 100644
--- a/lang/en_us.l
+++ b/lang/en_us.l
@@ -4970,7 +4970,8 @@ CHAN_SERVADMIN_HELP_SET_NOEXPIRE
 
 CHAN_SERVADMIN_HELP_INFO
 	
-	Services Operators can use the ALL parameter with any channel.
+	Services Operators with the chanserv/auspex permission can
+	use the ALL parameter with any channel.
 
 CHAN_SERVADMIN_HELP_LIST
 	Syntax: LIST pattern [FORBIDDEN] [SUSPENDED] [NOEXPIRE]
diff --git a/lang/es.l b/lang/es.l
index 5ce7e330d..87a745d8d 100644
--- a/lang/es.l
+++ b/lang/es.l
@@ -5136,8 +5136,8 @@ CHAN_SERVADMIN_HELP_SET_NOEXPIRE
 
 CHAN_SERVADMIN_HELP_INFO
 	
-	Administradores de Servicios pueden usar el parametro
-	ALL con cualquier canal.
+	Services Operators with the chanserv/auspex permission can
+	use the ALL parameter with any channel.
 
 CHAN_SERVADMIN_HELP_LIST
 	Sintaxis: LIST patron [FORBIDDEN] [SUSPENDED] [NOEXPIRE]
diff --git a/lang/fr.l b/lang/fr.l
index 8ee949413..93f55ba38 100644
--- a/lang/fr.l
+++ b/lang/fr.l
@@ -5192,8 +5192,8 @@ CHAN_SERVADMIN_HELP_SET_NOEXPIRE
 
 CHAN_SERVADMIN_HELP_INFO
 	
-	Les services operators peuvent utiliser le paramètre ALL 
-	avec n'importe quel canal.
+	Services Operators with the chanserv/auspex permission can
+	use the ALL parameter with any channel.
 
 CHAN_SERVADMIN_HELP_LIST
 	Syntaxe: LIST modèle
diff --git a/lang/gr.l b/lang/gr.l
index 41a0aa214..fadde8229 100644
--- a/lang/gr.l
+++ b/lang/gr.l
@@ -236,7 +236,7 @@ MAIL_X_INVALID
 MAIL_LATER
 	Äåí ìðïñåß íá óôáëåß óôç äéåýèõíóç ôï ìÞíõìá ãéá ôçí þñá; ðáñáêáëþ ðñïóðÜèçóå ëßãï áñãüôåñá.
 MAIL_DELAYED
-	Ðáñáêáëþ ðåñßìåíå ^B%d^B äåõôåñüëåðôá êáé îáíáðñïóðÜèçóå.
+	Ðáñáêáëþ ðåñßìåíå %d äåõôåñüëåðôá êáé îáíáðñïóðÜèçóå.
 	
 NO_REASON
 	×ùñßò ëüãïò
@@ -366,7 +366,7 @@ NICK_GROUP_SAME
 	Åßóáé Þäç ìÝëïò ôçò ïìÜäáò ôïõ %s.
 NICK_GROUP_TOO_MANY
 	Åßíáé ðÜñá ðïëëÜ øåõäþíõìá ìÝóá %s's ïìÜäá; êñÜôá ìåñéêÜ êáé âãÜëå êÜðïéá.
-	ÃñÜøå ^B%R%s HELP GLIST^B êáé %R%s HELP DROP 
+	ÃñÜøå %R%s HELP GLIST êáé %R%s HELP DROP 
 	ãéá ðåñéóóüôåñåò ðëçñïöïñßåò.
 NICK_GROUP_JOINED
 	Åßóáé ôþñá ìÝóá óôçí ïìÜäá ôïõ %s.
@@ -5108,8 +5108,8 @@ CHAN_SERVADMIN_HELP_SET_NOEXPIRE
 
 CHAN_SERVADMIN_HELP_INFO
 	
-	Ïé Services Operators ìðïñïýí íá ÷ñçóéìïðïéÞóïõí ôçí ðáñÜìåôñï ALL ãéá êÜèå
-	êáíÜëé.
+	Services Operators with the chanserv/auspex permission can
+	use the ALL parameter with any channel.
 
 CHAN_SERVADMIN_HELP_LIST
 	Óýíôáîç: LIST pattern [FORBIDDEN] [NOEXPIRE]
diff --git a/lang/hun.l b/lang/hun.l
index dccf91c2d..cf4377d28 100644
--- a/lang/hun.l
+++ b/lang/hun.l
@@ -5043,11 +5043,11 @@ CHAN_SERVADMIN_HELP_SET_NOEXPIRE
 	
 	Korlátozva Szervíz adminnak.
 
-
 CHAN_SERVADMIN_HELP_INFO
 	
-	Szervíz adminok használhatják az ALL paramétert.
-	
+	Services Operators with the chanserv/auspex permission can
+	use the ALL parameter with any channel.
+
 CHAN_SERVADMIN_HELP_LIST
 	Syntax: LIST pattern[FORBIDDEN] [SUSPENDED] [NOEXPIRE]
 	
diff --git a/lang/it.l b/lang/it.l
index 7244b6e6b..f9f223ea7 100644
--- a/lang/it.l
+++ b/lang/it.l
@@ -5040,8 +5040,8 @@ CHAN_SERVADMIN_HELP_SET_NOEXPIRE
 
 CHAN_SERVADMIN_HELP_INFO
 	
-	I Services Operator possono usare il parametro ALL con qualsiasi
-	canale.
+	Services Operators with the chanserv/auspex permission can
+	use the ALL parameter with any channel.
 
 CHAN_SERVADMIN_HELP_LIST
 	Sintassi: LIST pattern [FORBIDDEN] [SUSPENDED] [NOEXPIRE]
diff --git a/lang/nl.l b/lang/nl.l
index a35d0ad9e..da027725e 100644
--- a/lang/nl.l
+++ b/lang/nl.l
@@ -5097,8 +5097,8 @@ CHAN_SERVADMIN_HELP_SET_NOEXPIRE
 
 CHAN_SERVADMIN_HELP_INFO
 	
-	Services Operatorstrators kunnen het ALL parameter gebruiken
-	bij elk kanaal.
+	Services Operators with the chanserv/auspex permission can
+	use the ALL parameter with any channel.
 
 CHAN_SERVADMIN_HELP_LIST
 	Gebruik: LIST trefbeeld [FORBIDDEN] [SUSPENDED] [NOEXPIRE]
diff --git a/lang/pl.l b/lang/pl.l
index 42ebd2bc8..f54378c21 100644
--- a/lang/pl.l
+++ b/lang/pl.l
@@ -6113,7 +6113,8 @@ CHAN_SERVADMIN_HELP_SET_NOEXPIRE
 
 CHAN_SERVADMIN_HELP_INFO
 	
-	Administratorzy serwisów zawsze mog± u¿ywaæ parametru ALL.
+	Services Operators with the chanserv/auspex permission can
+	use the ALL parameter with any channel.
 
 CHAN_SERVADMIN_HELP_LIST
 	Sk³adnia: LIST wzorzec [FORBIDDEN] [SUSPENDED] [NOEXPIRE]
diff --git a/lang/pt.l b/lang/pt.l
index a36f2fbbe..ff9d9aeba 100644
--- a/lang/pt.l
+++ b/lang/pt.l
@@ -5000,7 +5000,8 @@ CHAN_SERVADMIN_HELP_SET_NOEXPIRE
 
 CHAN_SERVADMIN_HELP_INFO
 	
-	Administradores de Services podem usar o comando ALL com qualquer canal.
+	Services Operators with the chanserv/auspex permission can
+	use the ALL parameter with any channel.
 
 CHAN_SERVADMIN_HELP_LIST
 	Sintaxe: LIST padrão [FORBIDDEN] [SUSPENDED] [NOEXPIRE]
diff --git a/lang/ru.l b/lang/ru.l
index f6e9f2d9b..6ca2f058a 100644
--- a/lang/ru.l
+++ b/lang/ru.l
@@ -5106,8 +5106,8 @@ CHAN_SERVADMIN_HELP_SET_NOEXPIRE
 
 CHAN_SERVADMIN_HELP_INFO
 	
-	Àäìèíèñòðàòîðû ñåðâèñîâ ìîãóò èñïîëüçîâàòü ïàðàìåòð ALL
-	îòíîñèòåëüíî ëþáîãî êàíàëà ñåòè.
+	Services Operators with the chanserv/auspex permission can
+	use the ALL parameter with any channel.
 
 CHAN_SERVADMIN_HELP_LIST
 	Ñèíòàêñèñ: LIST ìàñêà [FORBIDDEN] [SUSPENDED] [NOEXPIRE]
diff --git a/lang/tr.l b/lang/tr.l
index 0cd643567..5735e00b5 100644
--- a/lang/tr.l
+++ b/lang/tr.l
@@ -5074,8 +5074,8 @@ CHAN_SERVADMIN_HELP_SET_NOEXPIRE
 
 CHAN_SERVADMIN_HELP_INFO
 	
-	Servis adminleri herhangi bir kanal için ALL parametresini
-	kullanabilirler.
+	Services Operators with the chanserv/auspex permission can
+	use the ALL parameter with any channel.
 
 CHAN_SERVADMIN_HELP_LIST
 	Kullanýmý: LIST model [FORBIDDEN] [NOEXPIRE]
diff --git a/src/core/cs_info.c b/src/core/cs_info.c
index 07d210afa..1322b8736 100644
--- a/src/core/cs_info.c
+++ b/src/core/cs_info.c
@@ -152,7 +152,7 @@ class CommandCSInfo : public Command
 	bool OnHelp(User *u, const ci::string &subcommand)
 	{
 		notice_lang(Config.s_ChanServ, u, CHAN_HELP_INFO);
-		if (u->Account() && u->Account()->IsServicesOper())
+		if (u->Account() && u->Account()->HasPriv("chanserv/auspex"))
 			notice_lang(Config.s_ChanServ, u, CHAN_SERVADMIN_HELP_INFO);
 
 		return true;
diff --git a/src/core/ns_info.c b/src/core/ns_info.c
index 7243a4c44..d40b07506 100644
--- a/src/core/ns_info.c
+++ b/src/core/ns_info.c
@@ -190,10 +190,10 @@ class CommandNSInfo : public Command
 
 	bool OnHelp(User *u, const ci::string &subcommand)
 	{
+		notice_help(Config.s_NickServ, u, NICK_HELP_INFO);
 		if (u->Account() && u->Account()->IsServicesOper())
 			notice_help(Config.s_NickServ, u, NICK_SERVADMIN_HELP_INFO);
-		else
-			notice_help(Config.s_NickServ, u, NICK_HELP_INFO);
+
 		return true;
 	}
 
